Show: Inherited Protected Private Deprecated

# CKEDITOR.plugins.ae_uibridge Class

Defined in: `src/ui/react/src/uibridge/uibridge.js:9`

CKEditor plugin that extends CKEDITOR.ui.add function so an add handler can be specified on top of the original ones. It bridges the calls to add components via:

- editor.ui.add(name, type, definition)

## Constructor

### `CKEDITOR.plugins.ae_uibridge`

()

Defined in `src/ui/react/src/uibridge/uibridge.js:9`

## Index

### Methods

- beforeInit

## Methods

### `beforeInit`

(

- `editor`

)

Defined in `src/ui/react/src/uibridge/uibridge.js:18`

Initialization of the plugin, part of CKEditor plugin lifecycle.

#### Parameters:

- `editor` Object

  The current editor instance